[SOLVED] Audacity fails to start

Issues related to applications and software problems
Post Reply
bonedome
Posts: 166
Joined: 2017/04/22 08:11:04

[SOLVED] Audacity fails to start

Post by bonedome » 2020/06/23 10:10:20

Hello
trying to start audacity crashes almost instantly.

Code: Select all

$ audacity 

(Audacity:16034): dbind-WARNING **: 10:41:08.842: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-gA4UermAZX: Connection refused
10:41:08: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8).

(Audacity:16034): Gtk-WARNING **: 10:41:08.847: gtk_disable_setlocale() must be called before gtk_init()
ALSA lib pcm.c:2565:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2565:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2565:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:869:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:869:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:869:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:869:(find_matching_chmap) Found no matching channel map
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
*** Error in `audacity': free(): invalid pointer: 0x00000000020f8c60 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x81299)[0x7f9c39377299]
/lib64/libwx_baseu-3.0.so.0(+0x1442c2)[0x7f9c3e8f92c2]
/lib64/libwx_baseu-3.0.so.0(_ZN8wxString13DoFormatWcharEPKwz+0xf5)[0x7f9c3e8f94d5]
audacity(_ZN10DirManagerC1Ev+0x2fd)[0x62f2bd]
audacity(_ZN10DirManager6CreateEv+0x2e)[0x62f7ee]
audacity[0x62fa20]
audacity(_ZN15AudacityProjectC1Ev+0x210)[0x764680]
audacity(_ZN14ProjectManager3NewEv+0x8e)[0x79570e]
audacity(_ZN11AudacityApp6OnInitEv+0x17ed)[0x67cdfd]
/lib64/libwx_baseu-3.0.so.0(_Z7wxEntryRiPPw+0x4c)[0x7f9c3e8b9e5c]
audacity(main+0x12)[0x5f4e72]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f9c39318555]
audacity[0x6252f4]
It's from epel repo, used to work fine.
I tried a reinstall, which brought up the gui but it crashes as soon as any buttons clicked, it has 3 dependecies

Code: Select all

Installing:
 audacity               x86_64         2.3.3-2.el7           epel         6.4 M
Installing dependencies:
 wxBase3                x86_64         3.0.4-1.el7           epel         1.1 M
 wxGTK3                 x86_64         3.0.4-1.el7           epel         4.8 M
 wxGTK3-webview         x86_64         3.0.4-1.el7           epel          50 k

Code: Select all

 Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8)
would suggest audacity is built with wxBase, wxGTK and wxGTK-webview 2.8 but according to yum are installed with the exeption of wxGTK-webview only available as ver 3.0
Is there a way to force audacity to use the older wx deps
Any clues most welcome
Last edited by bonedome on 2020/06/23 17:26:12, edited 1 time in total.

lightman47
Posts: 1160
Joined: 2014/05/21 20:16:00
Location: Central New York, USA

Re: Audacity fails to start

Post by lightman47 » 2020/06/23 14:12:21

I suspect something else you have installed is 'interfering'. When I install on my (up to date) CentOS 7, I get:

Code: Select all

Resolving Dependencies
--> Running transaction check
---> Package audacity.x86_64 0:2.3.3-2.el7 will be installed
--> Processing Dependency: portaudio(x86-64) >= 19-16 for package: audacity-2.3.3-2.el7.x86_64
--> Processing Dependency: libid3tag.so.0()(64bit) for package: audacity-2.3.3-2.el7.x86_64
--> Running transaction check
---> Package libid3tag.x86_64 0:0.15.1b-17.el7 will be installed
---> Package portaudio.x86_64 0:19-16.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch            Version                 Repository     Size
================================================================================
Installing:
 audacity           x86_64          2.3.3-2.el7             epel          6.4 M
Installing for dependencies:
 libid3tag          x86_64          0.15.1b-17.el7          base           48 k
 portaudio          x86_64          19-16.el7               epel           88 k

Transaction Summary
================================================================================
Install  1 Package (+2 Dependent packages)

Total download size: 6.6 M
Installed size: 25 M
Is this ok [y/d/N]: 
Remember - importing/building packages will likely "byte you in the butt" come update time, long after you'd forgotten you did that! Use repos whenever possible.

bonedome
Posts: 166
Joined: 2017/04/22 08:11:04

Re: Audacity fails to start

Post by bonedome » 2020/06/23 17:22:41

Lightman thanks for taking the time to do that.
I just tried the old "turn it off and back on again" IT helpdesk method but this time logged into gnome desktop (I normally only use fluxbox wm) it wouldn't launch from the icon but launched first time from a terminal, spewing about 5000 lines of errors and warnings, but it worked and I could save the new file as wav.
Logged back into fluxbox and again working from terminal this time with only 50 odd lines of errors etc.
I'll mark this as solved.

Post Reply

Return to “CentOS 7 - Software Support”